<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="preview">
    <form class="ui form" id="timesheet-form" method="post" th:object="${timesheet}" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_TIMESHEET_SUBMIT}}">
      <input type="hidden" th:field="${timesheet.id}" />
      <h2 class="ui dividing header">
        <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_TIMESHEET}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
        <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TIMESHEET}}"></span>
      </h2>
      <th:block th:if="${not #lists.isEmpty(timesheet.reviews)}">
        <table class="ui compact table" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
          <thead>
            <tr>
              <th class="ten wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></th>
              <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ANALYSIS}}"></th>
              <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESIGN}}"></th>
              <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DEVELOPMENT}}"></th>
              <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEST}}"></th>
              <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_OTHER}}"></th>
              <th class="right aligned one wide" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TOTAL}}"></th>
            </tr>
          </thead>
          <tbody>
            <tr th:each="review : ${timesheet.reviews}">
              <td th:text="${review.description}"></td>
              <td class="right aligned" th:text="${review.analysis}"></td>
              <td class="right aligned" th:text="${review.design}"></td>
              <td class="right aligned" th:text="${review.development}"></td>
              <td class="right aligned" th:text="${review.test}"></td>
              <td class="right aligned" th:text="${review.other}"></td>
              <td class="right aligned" th:text="${review.total}"></td>
            </tr>
            <tr class="active">
              <td></td>
              <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![analysis]) : 0}"></td>
              <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![design]) : 0}"></td>
              <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![development]) : 0}"></td>
              <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![test]) : 0}"></td>
              <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![other]) : 0}"></td>
              <td class="right aligned" th:text="${not #lists.isEmpty(timesheet.reviews) ? #aggregates.sum(timesheet.reviews.![total]) : 0}"></td>
            </tr>
          </tbody>
        </table>
        <div class="ui grid">
          <div class="right floated right aligned column">
            <button th:if="${timesheet.status.id == T(pt.com.scrumify.database.entities.TimesheetStatus).NOT_SUBMITTED}" class="ui button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"  type="submit">
              <i class="icon save"></i>
              <span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SUBMIT}}"></span>
            </button>
            <button th:if="${timesheet.status.id == T(pt.com.scrumify.database.entities.TimesheetStatus).SUBMITTED or timesheet.status.id == T(pt.com.scrumify.database.entities.TimesheetStatus).REVIEWED}" class="ui button" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
            	<i class="icon redo"></i>
            	<span th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_REVERT_SUBMISSION}}"></span>
            </button>
          </div>
        </div>
      </th:block>
      <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    </form>
  </th:block>
</body>
</html>
